// subPackage/home/pages/h5/h5page.js
const wxService = require('../../../../utils/wxService')
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    path: '',
    h5WhitePages: [
      '/mp6Y/begin.html',
      '/mp6Y/index.html',
      '/v1/wx_oauth/redirect_uri'
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const url = options.url
    if (url) {
      this.setData({
        path: `${decodeURIComponent(url)}`
      })
    }
  },
  webviewOnload (e) {
    // if (e.type === 'load') {
    //   const src = e.detail.src
    //   console.log(src)
    //   let pass = false
    //   const whitePages = this.data.h5WhitePages
    //   whitePages.map(item => {
    //     const regex = new RegExp(`${item}`, 'gi')
    //     if (!pass) {
    //       pass = regex.test(src)
    //     }
    //   })
    //   // 不在白名单页中统一返回到首页
    //   if (!pass) {
    //     wxService.router('/pages/userCenter/userCenter').back()
    //   }
    // }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    // 需要 encodeURIComponent path
    const { path } = this.data
    const enCodeUrl = encodeURIComponent(path)
    let sharePath = `/subPackage/page/pages/h5/h5page?url=${enCodeUrl}`
    return {
      // title: '分享给好友',
      path: sharePath,
      success(){
        wx.showToast({
          title: "转发成功",
          icon: 'success',
          duration: 2000
        })
      },
      fail() {
        wx.showToast({
          title: "转发失败",
          icon: 'none',
          duration: 2000
        })
      }
    }
  }
})
